<?php
/**
 * 404 page file
 *
 * @package    WordPress
 * @subpackage Intervio
 * @author     Theme Author <admin@theme-kalia.com>
 * @version    1.0
 */

$options = intervio_WSH()->option();
$error_background   = $options->get( 'error_background' );
$error_background   = intervio_set( $error_background, 'url', INTERVIO_URI . 'assets/images/footerbg.png' );
$allowed_html = wp_kses_allowed_html( 'post' );

$image_logo = $options->get( 'image_normal_logo' );

$logo_dimension = $options->get( 'normal_logo_dimension' );
$logo_type = '';
$logo_text = '';
$logo_typography = '';

?>
<?php get_header();
$data = \INTERVIO\Includes\Classes\Common::instance()->data( '404' )->get();
do_action( 'intervio_banner', $data );
$options = intervio_WSH()->option();
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
	?>
	
 <div class="error-page" style="background-image: url('<?php echo esc_url($error_background);?>');">
        <div class="auto-container">
            <div class="content-box">	
				
				  <div class="logo">
				
				<?php echo intervio_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?>
				
				</div>
				<h1><?php echo wp_kses( $options->get( '404-page_title' ), $allowed_html ) ? wp_kses( $options->get( '404-page_title' ), $allowed_html ) : esc_html_e( '404', 'intervio' ); ?></h1>
              
            <?php if (wp_kses( $options->get('404-page-text'), $allowed_html )) : ?>    
				<div class="text"><?php echo wp_kses( $options->get('404-page-text'), $allowed_html ) ? wp_kses($options->get('404-page-text' ), $allowed_html ) : $text; ?></div>
			<?php else: ?>	
				<div class="text"><?php esc_html_e( 'Error Page Not Found', 'intervio' ); ?></div>
			 <?php endif; ?>  	
 		 
				<div class="link-btn"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="theme-btn btn-style-two"><span><?php echo wp_kses( $options->get('back_home_btn_label'), $allowed_html ) ? wp_kses( $options->get('back_home_btn_label'), $allowed_html ) : esc_html_e( 'Back To Home', 'intervio' ); ?></span></a></div> 
				 	
			<div class="textxx"></div>
							
            </div>
        </div>
    </div> 
     
<?php
}
get_footer(); ?>
