<?php
/**
 * The header for our theme
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @package INTERVIO
 * @since   1.0
 * @version 1.0
 */
$options = intervio_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );
$icon_href = $options->get( 'image_favicon' ); 
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">


<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ): ?>
		<?php if( $icon_href ):?>
        <link rel="shortcut icon" href="<?php echo esc_url($icon_href['url']); ?>" type="image/x-icon">
		<link rel="icon" href="<?php echo esc_url($icon_href['url']); ?>" type="image/x-icon">
		<?php endif; ?>
	<?php endif; ?>
	<!-- responsive meta -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- For IE -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <?php wp_head(); ?>
</head>


<?php $options = intervio_WSH()->option(); ?>
<body <?php body_class(); ?>> 
<?php
if ( ! function_exists( 'wp_body_open' ) ) {
		function wp_body_open() {
				do_action( 'wp_body_open' );
		}
}?>

	
<?php if( $options->get( 'theme_preloader' ) ):?>
 <div class="loader-wrap">
	 <?php if(wp_kses( $options->get( 'preloader_text'), $allowed_html )) : ?>
        <div class="preloader"><div class="preloader-close"><?php echo wp_kses( $options->get( 'preloader_text'), $allowed_html ); ?></div></div>
	 <?php endif; ?>
        <div class="layer layer-one"><span class="overlay"></span></div>
        <div class="layer layer-two"><span class="overlay"></span></div>        
        <div class="layer layer-three"><span class="overlay"></span></div>        
    </div>
<?php endif; ?>	
	
		
<?php
$options = intervio_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );
if( $options->get( 'theme_rtl' ) ):?>
<main class="rtl theme-layout page-wrapper">
<?php else: ?>
<main class="theme-layout page-wrapper <?php if($options->get( 'theme_box' ) ): echo esc_attr_e( 'boxed', 'intervio' ); endif;?>">
<?php endif; ?>		

	
<?php do_action( 'intervio_main_header' ); ?>	