<?php

return  array(
    'title'      => esc_html__( 'Search Page Settings', 'intervio' ),
    'id'         => 'search_setting',
    'desc'       => '', 
    'subsection' => true,
    'fields'     => array(
	    array(
		    'id'      => 'search_source_type',
		    'type'    => 'button_set',
		    'title'   => esc_html__( 'Search Source Type', 'intervio' ),
		    'options' => array(
			    'd' => esc_html__( 'Default', 'intervio' ),
			    'e' => esc_html__( 'Elementor', 'intervio' ),
		    ),
		    'default' => 'd',
	    ),
	    array(
		    'id'       => 'search_elementor_template',
		    'type'     => 'select',
		    'title'    => __( 'Template', 'intervio' ),
		    'data'     => 'posts',
		    'args'     => [
			    'post_type' => [ 'elementor_library' ],
				'posts_per_page'=> -1,
		    ],
		    'required' => [ 'search_source_type', '=', 'e' ],
	    ),

	    array(
		    'id'       => 'search_default_st',
		    'type'     => 'section',
		    'title'    => esc_html__( 'Search Default', 'intervio' ),
		    'indent'   => true,
		    'required' => [ 'search_source_type', '=', 'd' ],
	    ),
	    array(
		    'id'      => 'search_page_banner',
		    'type'    => 'switch',
		    'title'   => esc_html__( 'Show Banner', 'intervio' ),
		    'desc'    => esc_html__( 'Enable to show banner on blog', 'intervio' ),
		    'default' => true,
	    ),
	    array(
		    'id'       => 'search_banner_title',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Banner Section Title', 'intervio' ),
		    'desc'     => esc_html__( 'Enter the title to show in banner section', 'intervio' ),
		    'required' => array( 'search_page_banner', '=', true ),
	    ),
	    array(
		    'id'       => 'search_page_background',
		    'type'     => 'media',
		    'url'      => true,
		    'title'    => esc_html__( 'Background Image', 'intervio' ),
		    'desc'     => esc_html__( 'Insert background image for banner', 'intervio' ),
		    'default'  => array(
			    'url' => INTERVIO_URI . 'assets/images/resources/breadcrumb-bg.jpg',
		    ),
		    'required' => array( 'search_page_banner', '=', true ),
	    ),

	    array(
		    'id'       => 'search_sidebar_layout',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Layout', 'intervio' ),
		    'subtitle' => esc_html__( 'Select main content and sidebar alignment.', 'intervio' ),
		    'options'  => array(

			    'left'  => array(
				    'alt' => esc_html__( '2 Column Left', 'intervio' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/2cl.png',
			    ),
			    'full'  => array(
				    'alt' => esc_html__( '1 Column', 'intervio' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/1col.png',
			    ),
			    'right' => array(
				    'alt' => esc_html__( '2 Column Right', 'intervio' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/2cr.png',
			    ),
		    ),

		    'default' => 'right',
	    ),

	    array(
		    'id'       => 'search_page_sidebar',
		    'type'     => 'select',
		    'title'    => esc_html__( 'Sidebar', 'intervio' ),
		    'desc'     => esc_html__( 'Select sidebar to show at blog listing page', 'intervio' ),
		    'required' => array(
			    array( 'search_sidebar_layout', '=', array( 'left', 'right' ) ),
		    ),
		    'options'  => intervio_get_sidebars(),
	    ),
		
		 array(
		    'id'       => 'search_background',
		    'type'     => 'media',
		    'url'      => true,
		    'title'    => esc_html__( 'Search Background Image', 'intervio' ),
		    'desc'     => esc_html__( 'Insert background image for banner', 'intervio' ),
		    'default'  => array(
			    'url' => INTERVIO_URI . 'assets/images/resources/footerbg.jpg',
		    ),
		    'required' => array( 'search_page_banner', '=', true ),
	    ),
		

		
		array(
			'id'    => 'search_title',
			'type'  => 'text',
			'title' => esc_html__( 'Search Title', 'intervio' ),
			'desc'  => esc_html__( 'Enter Search Title', 'intervio' ),

		),
		array(
			'id'    => 'search_text',
			'type'  => 'textarea',
			'title' => esc_html__( 'Search Page Description', 'intervio' ),
			'desc'  => esc_html__( 'Enter Search page description that you want to show.', 'intervio' ),

		),
		
	    array(
		    'id'       => 'search_default_ed',
		    'type'     => 'section',
		    'indent'   => false,
		    'required' => [ 'search_source_type', '=', 'd' ],
	    ),

    ),
);





