<?php
/**
 * Blog Main File.
 *
 * @package INTERVIO
 * @author  TemplatePath
 * @version 1.0
 */

get_header();
global $wp_query;
$data  = \INTERVIO\Includes\Classes\Common::instance()->data( 'blog' )->get();
$class = ( $data->get( 'layout' ) != 'full' ) ? 'col-xs-12 col-sm-12 col-md-12 col-lg-8' : 'col-xs-12 col-sm-12 col-md-12';

do_action( 'indext_banner', $data );
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
?>
<section class="page-title" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);">
	<div class="auto-container">
		<div class="content-box">
			<div class="content-wrapper">
				<div class="title">
					<h1><?php if($title) echo wp_kses($title, $allowed_tags); else wp_title(''); ?></h1>
				</div>
				<ul class="bread-crumb">
					<li class="home"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><span class="far fa-home"></span></a></li>
					 <?php echo intervio_the_breadcrumb(); ?>
				</ul>
			</div>                    
		</div>
	</div>
</section>
<!--Start blog area-->
 <section class="sidebar-page-container">
        <div class="auto-container">
            <div class="row">
                
          	<!-- sidebar area -->
            <?php if ( $data->get( 'layout' ) == 'left' ) { ?>
			<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mr_side_left">
				 <?php	do_action( 'intervio_sidebar', $data );?>
			</div>
		 <?php	} ?>
		  <?php if ( $data->get( 'layout' ) == 'right' ) { ?>
			<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mr_side_right">
				 <?php	do_action( 'intervio_sidebar', $data );?>
			</div>
		 <?php	} ?>	
				
                <div class="<?php echo esc_attr( $class ); ?> content-side">
					<?php
						while ( have_posts() ) :
							the_post();
							intervio_template_load( 'templates/blog/blog.php', compact( 'data' ) );
						endwhile;
					?>
					<div class="post-pagination">
						<?php intervio_the_pagination(); ?>
					</div>
                </div>
             
                
            </div>
        </div>
    </section> 
	<?php
}
get_footer();
