<?php
/**
 * Default Template Main File.
 *
 * @package INTERVIO
 * @author  TemplatePath
 * @version 1.0
 */

get_header();
$data  = \INTERVIO\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'right';
$sidebar = ( $sidebar ) ? $sidebar : 'default-sidebar';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xs-12 col-sm-12 col-md-12' : 'col-xs-12 col-sm-12 col-md-12 col-lg-8';
?>

<?php if ( class_exists( '\Elementor\Plugin' )):?>
	<?php do_action( 'intervio_banner', $data );?>
<?php else:?>
    <!--Page Title-->
<section class="page-title" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);">
	<div class="auto-container">
		<div class="content-box">
			<div class="content-wrapper">
				<div class="title">
					<h1><?php echo wp_kses( $data->get( 'title' ), true ); ?></h1>
				</div>
				<ul class="bread-crumb">
					<li class="home"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><span class="far fa-home"></span></a></li>
					 <?php echo intervio_the_breadcrumb(); ?>
				</ul>
			</div>                    
		</div>
	</div>
</section>
<!--End Page Title-->
<?php endif;?>

<!--Start blog area-->
  <section class="sidebar-page-container mrpage">
        <div class="auto-container">
            <div class="row">
		
        	   	<!-- sidebar area -->
            <?php if ( $data->get( 'layout' ) == 'left' ) { ?>
			<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mr_side_left">
				 <?php	do_action( 'intervio_sidebar', $data );?>
			</div>
		 <?php	} ?>
		  <?php if ( $data->get( 'layout' ) == 'right' ) { ?>
			<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mr_side_right">
				 <?php	do_action( 'intervio_sidebar', $data );?>
			</div>
		 <?php	} ?>
            <div class="wp-style  blog-details-content <?php echo esc_attr( $class ); ?> content-side">
                    <div class=" text">
                        <?php while ( have_posts() ): the_post(); ?>
                            <?php the_content(); ?>
                        <?php endwhile; ?>
                    </div>
                    <div class="clearfix"></div>
		<?php wp_link_pages(array('before'=>'<div class="paginate_links">'.esc_html__('Pages: ', 'intervio'), 'after' => '</div>', 'link_before'=>'', 'link_after'=>'')); ?>
                   
					
					
                    <?php comments_template() ?>
              
            </div>
        
        </div>
	</div>
</section><!-- blog section with pagination -->
<?php get_footer(); ?>
