<?php
/**
 * Blog Post Main File.
 *
 * @package INTERVIO
 * @author  Theme Author
 * @version 1.0
 */

get_header();
$data    = \INTERVIO\Includes\Classes\Common::instance()->data( 'single' )->get();

$layout = ( $data->get( 'layout' ) ) ? $data->get('layout') : 'right';
$class   = ( $layout != 'full' ) ? 'col-sm-12 col-md-8 col-lg-8' : 'col-md-12';

$options = intervio_WSH()->option();

if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
	?>

<section class="page-title" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);">
	<div class="auto-container">
		<div class="content-box">
			<div class="content-wrapper">
				<div class="title">
					<h1><?php if($title) echo wp_kses($title, $allowed_tags); else wp_title(''); ?></h1>
				</div>
				<ul class="bread-crumb">
					<li class="home"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><span class="far fa-home"></span></a></li>
					 <?php echo intervio_the_breadcrumb(); ?>
				</ul>
			</div>                    
		</div>
	</div>
</section>

<!--Start blog area-->
  <section class="sidebar-page-container mrsingle">
        <div class="auto-container">
            <div class="row">	
		<!-- sidebar area -->
            <?php if ( $data->get( 'layout' ) == 'left' ) { ?>
			<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mr_side_left">
				 <?php	do_action( 'intervio_sidebar', $data );?>
			</div>
		 <?php	} ?>
		  <?php if ( $data->get( 'layout' ) == 'right' ) { ?>
			<div class="col-xl-4 col-lg-4 col-md-12 col-sm-12 mr_side_right">
				 <?php	do_action( 'intervio_sidebar', $data );?>
			</div>
		 <?php	} ?>
						
			<div class="wp-style <?php echo esc_attr( $class ); ?> content-side">
						
						
						<?php
						while ( have_posts() ) :
							the_post();
							?>
							<div <?php post_class(); ?>>
								<?php intervio_template_load( 'templates/blog-single/single-content.php', compact( 'options', 'data' ) ); ?>
							</div>
						<?php endwhile; ?>
				</div>	
				 
			</div>     
    </div>
</section> 
<!--End blog area--> 

<?php
}
get_footer();
