<?php
/**
 * Banner Template
 *
 * @package    WordPress
 * @subpackage Theme Author
 * @author     Theme Author
 * @version    1.0
 */

if ( $data->get( 'enable_banner' ) AND $data->get( 'banner_type' ) == 'e' AND ! empty( $data->get( 'banner_elementor' ) ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'banner_elementor' ) );

	return false;
}

?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
<section class="page-title">
	<div class="parallax-bg" data-parallax='{"y": 100}' style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);"></div>
	<div class="auto-container">
		<div class="content-box">
			<div class="content-wrapper">
				<div class="title">
					<h1><?php echo wp_kses( $data->get( 'title' ), true ); ?></h1>
				</div>
				<ul class="bread-crumb">
					<li class="home"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><span class="far fa-home"></span></a></li>
					 <?php echo intervio_the_breadcrumb(); ?>
				</ul>
			</div>                    
		</div>
	</div>
</section>
<?php endif; ?>